Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.map
Class FixedSizeMap

    java.lang.Object
      |
      +--org.apache.commons.collections.map.AbstractMapDecorator
            |
            +--org.apache.commons.collections.map.FixedSizeMap

All Implemented Interfaces:
  BoundedMap, Map, Serializable

public class FixedSizeMap
extends AbstractMapDecorator
implements Map, BoundedMap, Serializable

Decorates another `Map` to fix the size, preventing add/remove.

Any action that would change the size of the map is disallowed. The put method is allowed to change the value associated with an existing key however.

If trying to remove or clear the map, an UnsupportedOperationException is thrown. If trying to put a new mapping into the map, an IllegalArgumentException is thrown. This is because the put method can succeed if the mapping's key already exists in the map, so the put method is not always unsupported.

This class is Serializable from Commons Collections 3.1.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.8 $ $Date: 2004/05/07 23:58:33 $
Author:
  Stephen Colebourne, Paul Jack
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.commons.collections.map.AbstractMapDecorator
`map`

Constructor Summary
`protected` | `FixedSizeMap(Map map)` Constructor that wraps (not copies).

Method Summary
`void` | `clear()`
`static Map` | `decorate(Map map)` Factory method to create a fixed size map.
`Set` | `entrySet()`
`boolean` | `isFull()` Returns true if this map is full and no new elements can be added.
`Set` | `keySet()`
`int` | `maxSize()` Gets the maximum size of the map (the bound).
`Object` | `put(Object key, Object value)`
`void` | `putAll(Map mapToCopy)`
`Object` | `remove(Object key)`
`Collection` | `values()`

Methods inherited from class org.apache.commons.collections.map.AbstractMapDecorator
`containsKey, containsValue, equals, get, getMap, hashCode, isEmpty, size, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`containsKey, containsValue, equals, get, hashCode, isEmpty, size`

Constructor Detail

### FixedSizeMap

    protected FixedSizeMap(Map map)

  Constructor that wraps (not copies).

Parameters:
  `map` - the map to decorate, must not be null
Throws:
  `IllegalArgumentException` - if map is null

Method Detail

### decorate

    public static Map decorate(Map map)

  Factory method to create a fixed size map.

  Parameters:
    `map` - the map to decorate, must not be null
  Throws:
    `IllegalArgumentException` - if map is null

### put

    public Object put(Object key,
                      Object value)

  Specified by:
    `put` in interface `Map`
  Overrides:
    `put` in class `AbstractMapDecorator`

### putAll

    public void putAll(Map mapToCopy)

  Specified by:
    `putAll` in interface `Map`
  Overrides:
    `putAll` in class `AbstractMapDecorator`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Map`
  Overrides:
    `clear` in class `AbstractMapDecorator`

### remove

    public Object remove(Object key)

  Specified by:
    `remove` in interface `Map`
  Overrides:
    `remove` in class `AbstractMapDecorator`

### entrySet

    public Set entrySet()

  Specified by:
    `entrySet` in interface `Map`
  Overrides:
    `entrySet` in class `AbstractMapDecorator`

### keySet

    public Set keySet()

  Specified by:
    `keySet` in interface `Map`
  Overrides:
    `keySet` in class `AbstractMapDecorator`

### values

    public Collection values()

  Specified by:
    `values` in interface `Map`
  Overrides:
    `values` in class `AbstractMapDecorator`

### isFull

    public boolean isFull()

  Description copied from interface: `BoundedMap`
  Returns true if this map is full and no new elements can be added.

  Specified by:
    `isFull` in interface `BoundedMap`
  Returns:
    `true` if the map is full

### maxSize

    public int maxSize()

  Description copied from interface: `BoundedMap`
  Gets the maximum size of the map (the bound).

  Specified by:
    `maxSize` in interface `BoundedMap`
  Returns:
    the maximum number of elements the map can hold

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 Apache Software Foundation. All Rights Reserved.